Bug 1258917 - NFS address path should have front slash
NFS address path should have front slash
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHEV (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: TP2
: 1.0
Assigned To: David Davis
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-11
  Show dependency treegraph
 
Reported: 2015-09-01 10:12 EDT by Antonin Pagac
Modified: 2016-04-29 12:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-09-01 10:12:55 EDT
Description of problem:
When adding information about storage domains to a deployment, user can add a path without a front slash. However RHEVM cannot understand this, and fails to add the domains, causing the task in Satellite to hang and poll indefinitely.

Version-Release number of selected component (if applicable):
rc4 - RHCI-6.0-RHEL-7-20150829.0-RHCI-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Add a storage domain path (data or export) without front slash
2. Start the deployment
3. RHEV installation hangs on WaitForDataCenter, which is waiting for storage domains

Actual results:
Storage domain not added; deployment cannot continue; task hangs indefinitely

Expected results:
Display a warning/error message when no front slash detected

Additional info:
Comment 1 David Davis 2015-11-10 09:32:42 EST
It looks like the UI is already checking for a leading a slash. I'm adding it to the backend deployment validation as well:

https://github.com/fusor/fusor/pull/455
Comment 2 David Davis 2015-12-01 10:20:04 EST
Here's the UI PR btw:

https://github.com/fusor/fusor/pull/348
Comment 3 Antonin Pagac 2016-01-11 05:21:06 EST
Verified.

The UI now doesn't permit NFS address path without a leading slash.

RHCI-6.0-RHEL-7-20160107.t.1-RHCI-x86_64-dvd1.iso
Firefox 43.0.3

Note You need to log in before you can comment on or make changes to this bug.